package com.ruoyi.gysl.service;

import com.ruoyi.docking.entity.SmartDeclaration;
import com.ruoyi.gysl.entity.request.ZwIdPageReq;
import com.ruoyi.gysl.entity.response.YdxxtjResponse;
import com.ruoyi.gysl.entity.stats.AllProjectResponse;
import com.ruoyi.gysl.entity.stats.RibbonResponse;

import java.util.List;

/**
 * 政务统计服务接口
 *
 * @author makejava
 * @since 2025-02-24 11:10:06
 */
public interface ZwStatsService {

    /**
     * 项目情况
     */
    AllProjectResponse allProject(String years);

    /**
     * 功能区
     */
    List<RibbonResponse> ribbon(String years);

    /**
     * 投资主体
     */
    List<RibbonResponse> investors(String years);


    /**
     * 消息通知
     */
    List<SmartDeclaration> zwNotice(Long userId);

    /**
     * 政务消息通知数量
     */
    int zwNoticeCount(Long userId);

    /**
     * 产业导向细分产业分析
     */
    List<RibbonResponse> xfcyfx();

    /**
     * 产业导向目录分析
     */
    List<RibbonResponse> mlfx();

    /**
     * 产业数据分析
     */
    List<RibbonResponse> slfx();

    /**
     * 储备项目统计分析
     */
    List<RibbonResponse> cbxmtj();


}

